Форум программистов, компьютерный форум, киберфорум
Наши страницы
Программирование Android
Войти
Регистрация
Восстановить пароль
 
 
Рейтинг 4.88/348: Рейтинг темы: голосов - 348, средняя оценка - 4.88
nnnikotinnn995
5 / 5 / 4
Регистрация: 07.07.2011
Сообщений: 391
1

Правильная установка JDK + Eclipse + Android SDK + ADT Plugin

26.12.2011, 13:34. Просмотров 62824. Ответов 31
Метки нет (Все метки)

Здравствуйте. В сети много разночтений по поводу как установить jdk+ Eclipse + Android SDK+ ADT Plugin, и потому предлагаю здесь окончательно выяснить самый верный путь установки.
1.Во первых при установке jdk на Windows на одних сайтах (например тут
http://www-developer.blogspot.com/20...untu-1104.html и тут
http://adw0rd.ru/2009/java-install-jdk-and-eclipse/ ) советуется прописывать путь (PATH) в переменных средах, на других (например тут http://androidteam.ru/dev/start/installing-eclipse-and-adt-plugin.html а так же на официальном сайте) – об этом не упоминается.
Подскажите пожалуйста как правильно?
2. Во вторых если вы думаете программировать на Android то на официальном сайте рекомендуется выбирать Eclipse Classic(http://developer.android.com/sdk/installing.html ).
Почему? Нечего не упоминается об версии jdk, правильное ли сочетание jdk1.7.0_01+ Eclipse Classic 3.7.1?
3. Есть 2 варианта скачивания и установки Android SDK –установочный и распаковывающийся, рекомендуется установочный но ставится (по умолчанию) он совсем не в то место, в которое рекомендуют (то есть в директорию среды разработки – например C:\eclipse). Почему? Что это - просто привычка все ставить в программ файлс? И не до конца понятно, если мы устанавливаем в среде ADT то зачем там вообще Android SDK, папки android-sdk и android-sdk-windows (ADT) ни чем особо не отличаются. Лично у меня по идее все работает (в том числе и на Android), но когда я импортирую чужие проекты к себе в среду – не у всех из них идет компиляция без ошибок ( например возникают ошибки типа «Android requires compiler compliance level 5.0 or 6.0. Found '1.7' instead. Please use Android Tools > Fix Project Properties.»). Однако на телефоне все работает. Это вызывает предположение что и у меня не все правильно установлено (или чего то недоустановленно). Мне кажется что в данном разделе было бы полезно всем начинающим показать как правильно все установить. Так что помогите пожалуйста установить истину.
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
26.12.2011, 13:34
Ответы с готовыми решениями:

Установка Android SDK + Eclipse + ADT
Ребят, всем привет! У меня уже сутки не получается установить Android SDK +...

Как добавить Android-проект в Eclipse с Android SDK, чтобы после его можно было запустить на виртуальной машине?
Вот у меня с интернета скачан готовый андрой-проект, но я не знаю как его...

Android SDK не запускается в Eclipse
скачал sdk на странице - http://developer.android.com/intl/ru/sdk/index.html ...

Связать Android SDK и Eclipse Luna
Здравствуйте! Недавно переустановил ОС с W7x32 -> W7x64, поставил также...

Не предлагается установка Android SDK при установке Android Studio
на сайте https://developer.android.com/studio/... скачал exeшник для...

31
dajver
410 / 274 / 22
Регистрация: 18.09.2010
Сообщений: 1,114
27.12.2011, 00:34 2
Вот тут отличный мануал по установке среды на компьютер, по нему ставил и всем кто спрашивает кидаю эту ссылку.
0
nnnikotinnn995
5 / 5 / 4
Регистрация: 07.07.2011
Сообщений: 391
27.12.2011, 16:59  [ТС] 3
Спасибо, но там не чего не сказано про установку jdk, надо ли его отдельно ставить или он входит в Eclipse IDE for Java Developers?

Добавлено через 4 часа 18 минут
и надо ли прописывать путь (PATH) в переменных средах?

Добавлено через 3 часа 27 минут
В общем на рекомендуемый там Eclipse IDE for Java Developers ( Google рекомендует использовать Eclipse 3.5 (Galileo) - как там написано ) не ставится ADT plugin не через сайт, не через архив. пишет ошибку
Cannot complete the install because one or more required items could not be found.
Software being installed: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534)
Missing requirement: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) requires 'org.eclipse.core.runtime 3.6.0' but it could not be found (вложение как снимок)
Но здесь рекомендуется не Eclipse 3.5 (Galileo) а "Eclipse Classic" (у меня Eclipse Classic 3.7.1), и именно в нем все ADT plugin устанавливается. Во вторых не понятно - "Если Eclipse уже установлен, скачайте и установите пакет Eclipse IDE for Java Developers." - Если Eclipse уже установлен то зачем скачивать еще один, зачем 2 .ехе, всеравно придется работать только в одном из них. В третьих можно скачать 2 вида среды - Eclipse IDE for Java Developers и Eclipse IDE for Java EE Developers, (N/A), один весит 90Мв, второй -190Мв, и второй рекомендует АЛЕКСЕЙ ГОЛОЩАПОВ в книге "Google_Android_Programmirovanie_dlya_mobilnyh_ustroistv" - какой лучше?, но не в том не в другом не ставится ADT plugin. Может вы пишите в Linux и поэтому у вас все без проблем?
0
Миниатюры
Правильная установка JDK + Eclipse + Android SDK + ADT Plugin  
Phantom
Эксперт С++
3173 / 855 / 39
Регистрация: 29.12.2008
Сообщений: 952
27.12.2011, 23:26 4
Вот тут несколько статей, это мои заметки, когда сам все инструменты устанавливал, просто чтобы не запутаться набросал всё как можно подробнее.
1
volk864
0 / 0 / 0
Регистрация: 23.12.2015
Сообщений: 2
07.09.2012, 04:10 5
Phantom, Android SDK не хочет находить на компьютере JDK, хотя он тут 100% установлен(программировал на джаве). подскажите пожалуйста, что делать.
0
Phantom
Эксперт С++
3173 / 855 / 39
Регистрация: 29.12.2008
Сообщений: 952
07.09.2012, 10:15 6
volk864, есть такой мелкий косяк в Android SDK, что он "не видит" JDK при инсталляции. Достаточно просто во время установки вернуться на экран назад (на том экране, где сообщение о том, что JDK не установлен, нажать "Back" или "Назад"), а потом снова продолжить установку - Android SDK установится без предупреждений и всё будет ОК.
0
ilyshka97
0 / 0 / 0
Регистрация: 13.09.2012
Сообщений: 6
13.09.2012, 16:48 7
ЗДРАВСТВУЙТЕ НЕ МОГУ УСТАНОВИТЬ ADT Plugin.Пишу в поле ИМЯ :Android Development Tools
а дальше ссылку:https://dl-ssl.google.com/android/eclipse/
После нажатия на кнопку Дальше ,пишет:
Cannot complete the install because one or more required items could not be found.
Software being installed: Android Hierarchy Viewer 20.0.3.v201208082019-427395 (com.android.ide.eclipse.hierarchyviewer.feature.group 20.0.3.v201208082019-427395)
Missing requirement: Android Hierarchy Viewer 20.0.3.v201208082019-427395 (com.android.ide.eclipse.hierarchyviewer.feature.group 20.0.3.v201208082019-427395) requires 'org.eclipse.ui 3.6.2' but it could not be found
0
Phantom
Эксперт С++
3173 / 855 / 39
Регистрация: 29.12.2008
Сообщений: 952
13.09.2012, 22:16 8
ilyshka97, а Eclipse какой?
0
ilyshka97
0 / 0 / 0
Регистрация: 13.09.2012
Сообщений: 6
13.09.2012, 22:41 9
eclipse galileo
0
Phantom
Эксперт С++
3173 / 855 / 39
Регистрация: 29.12.2008
Сообщений: 952
14.09.2012, 10:09 10
ilyshka97, установите Indigo.
Для ADT нужен Eclipse не ниже 3.6. Galileo - это 3.5, далее идут Helios (3.6), Indigo(3.7) и Juno(3.8). У меня всё классно работает на Indigo, но наверное на других двух тоже всё ОК будет.
0
YAUHEN
146 / 128 / 6
Регистрация: 29.07.2008
Сообщений: 506
14.09.2012, 13:28 11
Цитата Сообщение от Phantom Посмотреть сообщение
установите Indigo
а какой смысл устанавливать его если для разработки можно использовать Helios? и почему сразу не Juno? Мы же говорим об SE версиях эклипсов?
0
V0v1k
1160 / 984 / 1
Регистрация: 28.06.2012
Сообщений: 3,462
14.09.2012, 13:39 12
юзаю Helios
0
ilyshka97
0 / 0 / 0
Регистрация: 13.09.2012
Сообщений: 6
14.09.2012, 14:13 13
Cannot complete the install because one or more required items could not be found.
Software being installed: Android Development Tools 20.0.3.v201208082019-427395 (com.android.ide.eclipse.adt.feature.group 20.0.3.v201208082019-427395)
Missing requirement: Android Development Tools 20.0.3.v201208082019-427395 (com.android.ide.eclipse.adt.feature.group 20.0.3.v201208082019-427395) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found
В ПЕРЕВОДЧИКЕ:Не смогли завершить установку, поскольку одно или несколько обязательных предметов, не может быть найдено.
** Программное обеспечение устанавливается: Android Development Tools 20.0.3.v201208082019-427395 (com.android.ide.eclipse.adt.feature.group 20.0.3.v201208082019-427395)
** Отсутствует требование: Android Development Tools 20.0.3.v201208082019-427395 (com.android.ide.eclipse.adt.feature.group 20.0.3.v201208082019-427395) требует 'org.eclipse.wst.sse.core 0.0.0 "но оно не может быть найдено
что делать?
0
Phantom
Эксперт С++
3173 / 855 / 39
Регистрация: 29.12.2008
Сообщений: 952
14.09.2012, 14:53 14
Цитата Сообщение от YAUHEN Посмотреть сообщение
а какой смысл устанавливать его если для разработки можно использовать Helios?
Новая IDE лучше старой IDE.

Ну да ладно. В helios может пройти такой финт: Help -> Install New Software, Available Software Sites, жмем Add, добавляем сайт "http://download.eclipse.org/releases/helios". Есть шансы, что это поможет.
0
t1m0n
14.09.2012, 22:22
  #15

Не по теме:

Цитата Сообщение от dajver Посмотреть сообщение
Вот тут отличный мануал по установке среды
на ваш сайт касперский плохо отзывается

0
ilyshka97
0 / 0 / 0
Регистрация: 13.09.2012
Сообщений: 6
15.09.2012, 08:17 16
Ну да ладно. В helios может пройти такой финт: Help -> Install New Software, Available Software Sites, жмем Add, добавляем сайт "http://download.eclipse.org/releases/helios". Есть шансы, что это поможет.

вы это кому?
0
Phantom
Эксперт С++
3173 / 855 / 39
Регистрация: 29.12.2008
Сообщений: 952
15.09.2012, 10:12 17
ilyshka97, Вам, по идее. Только версию спутал
Попробуйте то же самое, но сайт будет "http://download.eclipse.org/releases/galileo/". Но вряд ли это поможет, лично я бы начал с установки более свежей IDE.
0
ilyshka97
0 / 0 / 0
Регистрация: 13.09.2012
Сообщений: 6
15.09.2012, 23:09 18
Скажите а нет другого способа разработки на андроид? Всмысле есть другие проги?

Добавлено через 1 час 2 минуты
вобщем скачал в ручную плагин ADT ,установил, все норм.но оказалось что нет ,при зазрузке платформ в android sdk после загрузки списка платформ ,нажимаю на кнопку установить ~овер 9000 файлов ,идет какой то процесс и выдает ошибку: Done.Nothing was installed.
0
Phantom
Эксперт С++
3173 / 855 / 39
Регистрация: 29.12.2008
Сообщений: 952
16.09.2012, 10:13 19
ilyshka97, на самом деле, альтернативных вариантов почти и нет. Ближайший "ну ещё туда-сюда"-вариант - это программирование под Android на Qt. Ставится проект Necessitas + (опционально) Qt Mobility. Но этот вариант скорее для портирования существующих Qt-приложений на Android, свои подводные камни он тоже имеет. Есть всякая мелюзга ещё типа бейсикоподобного Simple или конструктора App Inventor, но имхо это несерьезно всё. Так что настраивайте традиционную связку инструментов и пишите на Java.


"Done.Nothing was installed." - SDK manager нужно запускать с правами Администратора.

P. S. ilyshka97, Eclipse-то освежили версию?
1
ilyshka97
0 / 0 / 0
Регистрация: 13.09.2012
Сообщений: 6
16.09.2012, 13:56 20
с эклипсом все норм,SDK запустил от имени админа ,ща загрузка идет ,закончится -отпишусь

Добавлено через 1 час 56 минут
спс Фантом
0
16.09.2012, 13:56
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
16.09.2012, 13:56

ошибка при установке Android SDk на eclipse
сколько уже раз не пытался из каких источников не ставил постоянно при...

Windows 7 x64 и Android SDK, Eclipse, IntelliJ
Здравствуйте! Являясь в некотором роде ретроградом, я по сей день работаю на...

Установка Android SDK Manager
Установка Android 2.2 API не идёт или идёт очень медленно. Как в начале немного...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
20
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru